<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/ActionDestroyPart.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d91/_action_destroy_part_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionDestroyPart.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d91/_action_destroy_part_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d8/d13/class_action_destroy_part_c_b.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d13/class_action_destroy_part_c_b.html">ActionDestroyPartCB</a> : <a class="code hl_class" href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d8/d13/class_action_destroy_part_c_b.html#a536c83e126dffaab407641c2c861e78c">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d13/class_action_destroy_part_c_b.html#a536c83e126dffaab407641c2c861e78c">CreateActionComponent</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">m_ActionComponent</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../dc/dec/class_c_a_continuous_repeat.html">CAContinuousRepeat</a>( <a class="code hl_class" href="../../d8/d3b/class_u_a_time_spent.html">UATimeSpent</a>.<a class="code hl_variable" href="../../d8/d3b/class_u_a_time_spent.html#a49bb1968ac9d38c1e8a02e2e88e22785">DEFAULT_DESTROY</a>/<a class="code hl_class" href="../../d3/df9/class_action_destroy_part.html">ActionDestroyPart</a>.Cast(<a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#ae22b01b87c5948b3f66ee7cac92b0abb">m_Action</a>).<a class="code hl_variable" href="../../d3/df9/class_action_destroy_part.html#af7ffe76ea5ec4d77bba82542bba7a1f4">CYCLES</a> );</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>};</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d3/df9/class_action_destroy_part.html">    9</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/df9/class_action_destroy_part.html">ActionDestroyPart</a>: <a class="code hl_class" href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>{</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d3/df9/class_action_destroy_part.html#af7ffe76ea5ec4d77bba82542bba7a1f4">   11</a></span>    <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d3/df9/class_action_destroy_part.html#af7ffe76ea5ec4d77bba82542bba7a1f4">CYCLES</a> = 4;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d3/df9/class_action_destroy_part.html#a9aac9c6325cdef7a12db2a88fdee1cd4">   13</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/df9/class_action_destroy_part.html#a9aac9c6325cdef7a12db2a88fdee1cd4">ActionDestroyPart</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">m_CallbackClass</a> = <a class="code hl_class" href="../../d8/d13/class_action_destroy_part_c_b.html">ActionDestroyPartCB</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_DISASSEMBLE;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ERECT;        </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> = <a class="code hl_class" href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a>.<a class="code hl_variable" href="../../d0/dbd/class_u_a_soft_skills_weight.html#adc529a8c7d00adb11ad04ba1369dd481">ROUGH_HIGH</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#destroy&quot;</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d3/df9/class_action_destroy_part.html#adbd99a17a830dba042a0d1ce52e1ce3f">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/df9/class_action_destroy_part.html#adbd99a17a830dba042a0d1ce52e1ce3f">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {   </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d3/df9/class_action_destroy_part.html#a5b1d568a3e3de84942ae79ca3e2f4e14">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/df9/class_action_destroy_part.html#a5b1d568a3e3de84942ae79ca3e2f4e14">OnActionInfoUpdate</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_class" href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a> construction_action_data = player.GetConstructionActionData();   </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#destroy &quot;</span> + construction_action_data.<a class="code hl_function" href="../../d9/dd2/class_construction_action_data.html#ad24cde1d7404f834a439a8749da50041">GetTargetPart</a>();</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d3/df9/class_action_destroy_part.html#ab33164d14b4386409960b61ef0980e38">   36</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/df9/class_action_destroy_part.html#ab33164d14b4386409960b61ef0980e38">CanBeUsedLeaning</a>()</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d3/df9/class_action_destroy_part.html#acf4aa9bb909d75a1889792f23f92d79e">   41</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/df9/class_action_destroy_part.html#acf4aa9bb909d75a1889792f23f92d79e">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {   </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="comment">//Action not allowed if player has broken legs</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordflow">if</span> (player.GetBrokenLegs() == <a class="code hl_enumeration" href="../../d6/d11/_e_broken_legs_8c.html#a12f1d5042885139e5fa3d8ee34a474b6">eBrokenLegs</a>.BROKEN_LEGS)</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d3/df9/class_action_destroy_part.html#a2363fe43519b3aa3f744da8ff2b00129">DestroyCondition</a>( player, target, item, <span class="keyword">true</span> );</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d3/df9/class_action_destroy_part.html#af61be0a6ffec81b8ec45b9b82c9aff2e">   50</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/df9/class_action_destroy_part.html#af61be0a6ffec81b8ec45b9b82c9aff2e">ActionConditionContinue</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {   </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d3/df9/class_action_destroy_part.html#a2363fe43519b3aa3f744da8ff2b00129">DestroyCondition</a>( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a> , <span class="keyword">false</span> );</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d3/df9/class_action_destroy_part.html#a9d4521aa82150e0a49a03d769989ae25">   55</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/df9/class_action_destroy_part.html#a9d4521aa82150e0a49a03d769989ae25">OnFinishProgressServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {   </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <a class="code hl_class" href="../../dd/d90/class_base_building_base.html">BaseBuildingBase</a> base_building = <a class="code hl_class" href="../../dd/d90/class_base_building_base.html">BaseBuildingBase</a>.Cast( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject() );</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_function" href="../../de/df0/_construction_8c.html#ab5827f036a3bf21fbe63a9de21581172">Construction</a> construction = base_building.GetConstruction();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_class" href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a> construction_action_data = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetConstructionActionData();</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_class" href="../../d6/d8f/class_construction_part.html">ConstructionPart</a> construction_part = construction_action_data.<a class="code hl_function" href="../../d9/dd2/class_construction_action_data.html#ad24cde1d7404f834a439a8749da50041">GetTargetPart</a>();</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">if</span> ( construction.CanDestroyPart( construction_part.<a class="code hl_function" href="../../d6/d8f/class_construction_part.html#a5149dd9f39960d2667e5269ceb883215">GetPartName</a>() ) )</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            <span class="comment">//build</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            <span class="keywordtype">string</span> part_name = construction_part.<a class="code hl_function" href="../../d6/d8f/class_construction_part.html#a5149dd9f39960d2667e5269ceb883215">GetPartName</a>();</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <span class="keywordtype">string</span> zone_name;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            DamageSystem.GetDamageZoneFromComponentName(base_building,part_name,zone_name);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            <span class="keywordflow">if</span> (zone_name != <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>                base_building.AddHealth(zone_name,<span class="stringliteral">&quot;Health&quot;</span>,-(base_building.GetMaxHealth(zone_name,<span class="stringliteral">&quot;&quot;</span>)/<a class="code hl_variable" href="../../d3/df9/class_action_destroy_part.html#af7ffe76ea5ec4d77bba82542bba7a1f4">CYCLES</a>));</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>                <span class="keywordflow">if</span> ( base_building.GetHealth(zone_name,<span class="stringliteral">&quot;Health&quot;</span>) &lt; 1 )</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>                    construction.DestroyPartServer( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>, construction_part.<a class="code hl_function" href="../../d6/d8f/class_construction_part.html#a5149dd9f39960d2667e5269ceb883215">GetPartName</a>(), <a class="code hl_variable" href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c.html#ab8198705315f1448f6fa1a6a2cd25f1f">AT_DESTROY_PART</a> );</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>                construction.DestroyPartServer( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>, construction_part.<a class="code hl_function" href="../../d6/d8f/class_construction_part.html#a5149dd9f39960d2667e5269ceb883215">GetPartName</a>(), <a class="code hl_variable" href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c.html#ab8198705315f1448f6fa1a6a2cd25f1f">AT_DESTROY_PART</a> );</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <span class="comment">//add damage to tool</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.DecreaseHealth( <a class="code hl_class" href="../../d8/dc5/class_u_a_damage_applied.html">UADamageApplied</a>.<a class="code hl_variable" href="../../d8/dc5/class_u_a_damage_applied.html#aa6e0ecae4a329f86ec4a7782b0418342">DESTROY</a>, <span class="keyword">false</span> );</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetSoftSkillsManager().AddSpecialty( <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> );</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../d3/df9/class_action_destroy_part.html#a2363fe43519b3aa3f744da8ff2b00129">   87</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/df9/class_action_destroy_part.html#a2363fe43519b3aa3f744da8ff2b00129">DestroyCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item, <span class="keywordtype">bool</span> camera_check )</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    {   </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> target_object = target.GetObject();</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordflow">if</span> ( target_object &amp;&amp; target_object.CanUseConstruction() )</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            <span class="keywordtype">string</span> part_name = target_object.GetActionComponentName( target.GetComponentIndex() );</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>            <a class="code hl_class" href="../../dd/d90/class_base_building_base.html">BaseBuildingBase</a> base_building = <a class="code hl_class" href="../../dd/d90/class_base_building_base.html">BaseBuildingBase</a>.Cast( target_object );</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <a class="code hl_function" href="../../de/df0/_construction_8c.html#ab5827f036a3bf21fbe63a9de21581172">Construction</a> construction = base_building.GetConstruction();        </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            <a class="code hl_class" href="../../d6/d8f/class_construction_part.html">ConstructionPart</a> construction_part = construction.GetConstructionPartToDestroy( part_name );</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <span class="keywordflow">if</span> ( construction_part )</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                <span class="comment">//camera and position checks</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>                <span class="keywordflow">if</span> ( !player.GetInputController().CameraIsFreeLook() &amp;&amp; <a class="code hl_function" href="../../d6/d59/_action_base_8c.html#ab560637b7ea002abf6ec19ec9ec6b3c9">IsInReach</a>(player, target, <a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a>) &amp;&amp; !player.GetInputController().CameraIsFreeLook() )</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                    <span class="comment">//Camera check (client-only)</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>                    <span class="keywordflow">if</span> ( camera_check )</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                    {</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>                        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>() &amp;&amp; ( !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer() ) )</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>                        {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>                            <span class="keywordflow">if</span> ( !base_building.<a class="code hl_function" href="../../dd/d90/class_base_building_base.html#a9925bc4fa61d820bd77d3e8967baf5c4">IsFacingCamera</a>( part_name ) )</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>                            {</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>                                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>                            }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>                        }</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>                    }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>                    </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>                    <a class="code hl_class" href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a> construction_action_data = player.GetConstructionActionData();</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>                    construction_action_data.<a class="code hl_function" href="../../d9/dd2/class_construction_action_data.html#afd19e331b52e42d80602c2262f19f0fe">SetTargetPart</a>( construction_part );</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>                    </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>                    <span class="keywordflow">return</span> <span class="keyword">true</span>;                </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>                }</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../d3/df9/class_action_destroy_part.html#afc0634cca94a279fd304200faf93344b">  126</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d3/df9/class_action_destroy_part.html#afc0634cca94a279fd304200faf93344b">GetAdminLogMessage</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot; destroyed &quot;</span> + action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject().GetDisplayName() + <span class="stringliteral">&quot; with &quot;</span> + action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>.GetDisplayName();</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>}</div>
<div class="ttc" id="a4___world_2_classes_2_user_actions_component_2__constants_8c_html_ab8198705315f1448f6fa1a6a2cd25f1f"><div class="ttname"><a href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c.html#ab8198705315f1448f6fa1a6a2cd25f1f">AT_DESTROY_PART</a></div><div class="ttdeci">const int AT_DESTROY_PART</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c_source.html#l00008">_constants.c:8</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a37c66588f056fd9eb9eb3a4c4890083d"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a></div><div class="ttdeci">protected float m_SpecialtyWeight</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00068">ActionBase.c:68</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_ab560637b7ea002abf6ec19ec9ec6b3c9"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#ab560637b7ea002abf6ec19ec9ec6b3c9">IsInReach</a></div><div class="ttdeci">protected bool IsInReach(PlayerBase player, ActionTarget target, float maxDistance=1.0)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00991">ActionBase.c:991</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adb7a179f0ce9195c7dc300367bbaf51a"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a></div><div class="ttdeci">protected bool m_FullBody</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00052">ActionBase.c:52</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adc0813e96c27638edc8c57cfbaa30c25"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a></div><div class="ttdeci">protected int m_StanceMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00053">ActionBase.c:53</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_construction_8c_html_ab5827f036a3bf21fbe63a9de21581172"><div class="ttname"><a href="../../de/df0/_construction_8c.html#ab5827f036a3bf21fbe63a9de21581172">Construction</a></div><div class="ttdeci">void Construction(BaseBuildingBase parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df0/_construction_8c_source.html#l00026">Construction.c:26</a></div></div>
<div class="ttc" id="a_e_broken_legs_8c_html_a12f1d5042885139e5fa3d8ee34a474b6"><div class="ttname"><a href="../../d6/d11/_e_broken_legs_8c.html#a12f1d5042885139e5fa3d8ee34a474b6">eBrokenLegs</a></div><div class="ttdeci">eBrokenLegs</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d11/_e_broken_legs_8c_source.html#l00001">EBrokenLegs.c:2</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_ab8c5796aa8f98fa679639b14db60813f"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">ActionBaseCB::m_ActionData</a></div><div class="ttdeci">protected ActionData m_ActionData</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00003">AnimatedActionBase.c:3</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_c_b_html"><div class="ttname"><a href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00001">ActionContinuousBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_html"><div class="ttname"><a href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00131">ActionContinuousBase.c:132</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_a82934edb9e2ee84d9c8a45aa66242075"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">ActionData::m_ActionComponent</a></div><div class="ttdeci">ref CABase m_ActionComponent</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00030">ActionBase.c:30</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_action_data_html_ae22b01b87c5948b3f66ee7cac92b0abb"><div class="ttname"><a href="../../da/d5a/class_action_data.html#ae22b01b87c5948b3f66ee7cac92b0abb">ActionData::m_Action</a></div><div class="ttdeci">ref ActionBase m_Action</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00027">ActionBase.c:27</a></div></div>
<div class="ttc" id="aclass_action_destroy_part_c_b_html"><div class="ttname"><a href="../../d8/d13/class_action_destroy_part_c_b.html">ActionDestroyPartCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d91/_action_destroy_part_8c_source.html#l00001">ActionDestroyPart.c:2</a></div></div>
<div class="ttc" id="aclass_action_destroy_part_c_b_html_a536c83e126dffaab407641c2c861e78c"><div class="ttname"><a href="../../d8/d13/class_action_destroy_part_c_b.html#a536c83e126dffaab407641c2c861e78c">ActionDestroyPartCB::CreateActionComponent</a></div><div class="ttdeci">override void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d91/_action_destroy_part_8c_source.html#l00003">ActionDestroyPart.c:3</a></div></div>
<div class="ttc" id="aclass_action_destroy_part_html"><div class="ttname"><a href="../../d3/df9/class_action_destroy_part.html">ActionDestroyPart</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d91/_action_destroy_part_8c_source.html#l00009">ActionDestroyPart.c:10</a></div></div>
<div class="ttc" id="aclass_action_destroy_part_html_a2363fe43519b3aa3f744da8ff2b00129"><div class="ttname"><a href="../../d3/df9/class_action_destroy_part.html#a2363fe43519b3aa3f744da8ff2b00129">ActionDestroyPart::DestroyCondition</a></div><div class="ttdeci">protected bool DestroyCondition(PlayerBase player, ActionTarget target, ItemBase item, bool camera_check)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d91/_action_destroy_part_8c_source.html#l00087">ActionDestroyPart.c:87</a></div></div>
<div class="ttc" id="aclass_action_destroy_part_html_a5b1d568a3e3de84942ae79ca3e2f4e14"><div class="ttname"><a href="../../d3/df9/class_action_destroy_part.html#a5b1d568a3e3de84942ae79ca3e2f4e14">ActionDestroyPart::OnActionInfoUpdate</a></div><div class="ttdeci">override void OnActionInfoUpdate(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d91/_action_destroy_part_8c_source.html#l00030">ActionDestroyPart.c:30</a></div></div>
<div class="ttc" id="aclass_action_destroy_part_html_a9aac9c6325cdef7a12db2a88fdee1cd4"><div class="ttname"><a href="../../d3/df9/class_action_destroy_part.html#a9aac9c6325cdef7a12db2a88fdee1cd4">ActionDestroyPart::ActionDestroyPart</a></div><div class="ttdeci">void ActionDestroyPart()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d91/_action_destroy_part_8c_source.html#l00013">ActionDestroyPart.c:13</a></div></div>
<div class="ttc" id="aclass_action_destroy_part_html_a9d4521aa82150e0a49a03d769989ae25"><div class="ttname"><a href="../../d3/df9/class_action_destroy_part.html#a9d4521aa82150e0a49a03d769989ae25">ActionDestroyPart::OnFinishProgressServer</a></div><div class="ttdeci">override void OnFinishProgressServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d91/_action_destroy_part_8c_source.html#l00055">ActionDestroyPart.c:55</a></div></div>
<div class="ttc" id="aclass_action_destroy_part_html_ab33164d14b4386409960b61ef0980e38"><div class="ttname"><a href="../../d3/df9/class_action_destroy_part.html#ab33164d14b4386409960b61ef0980e38">ActionDestroyPart::CanBeUsedLeaning</a></div><div class="ttdeci">override bool CanBeUsedLeaning()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d91/_action_destroy_part_8c_source.html#l00036">ActionDestroyPart.c:36</a></div></div>
<div class="ttc" id="aclass_action_destroy_part_html_acf4aa9bb909d75a1889792f23f92d79e"><div class="ttname"><a href="../../d3/df9/class_action_destroy_part.html#acf4aa9bb909d75a1889792f23f92d79e">ActionDestroyPart::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d91/_action_destroy_part_8c_source.html#l00041">ActionDestroyPart.c:41</a></div></div>
<div class="ttc" id="aclass_action_destroy_part_html_adbd99a17a830dba042a0d1ce52e1ce3f"><div class="ttname"><a href="../../d3/df9/class_action_destroy_part.html#adbd99a17a830dba042a0d1ce52e1ce3f">ActionDestroyPart::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d91/_action_destroy_part_8c_source.html#l00024">ActionDestroyPart.c:24</a></div></div>
<div class="ttc" id="aclass_action_destroy_part_html_af61be0a6ffec81b8ec45b9b82c9aff2e"><div class="ttname"><a href="../../d3/df9/class_action_destroy_part.html#af61be0a6ffec81b8ec45b9b82c9aff2e">ActionDestroyPart::ActionConditionContinue</a></div><div class="ttdeci">override bool ActionConditionContinue(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d91/_action_destroy_part_8c_source.html#l00050">ActionDestroyPart.c:50</a></div></div>
<div class="ttc" id="aclass_action_destroy_part_html_af7ffe76ea5ec4d77bba82542bba7a1f4"><div class="ttname"><a href="../../d3/df9/class_action_destroy_part.html#af7ffe76ea5ec4d77bba82542bba7a1f4">ActionDestroyPart::CYCLES</a></div><div class="ttdeci">static int CYCLES</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d91/_action_destroy_part_8c_source.html#l00011">ActionDestroyPart.c:11</a></div></div>
<div class="ttc" id="aclass_action_destroy_part_html_afc0634cca94a279fd304200faf93344b"><div class="ttname"><a href="../../d3/df9/class_action_destroy_part.html#afc0634cca94a279fd304200faf93344b">ActionDestroyPart::GetAdminLogMessage</a></div><div class="ttdeci">override string GetAdminLogMessage(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d91/_action_destroy_part_8c_source.html#l00126">ActionDestroyPart.c:126</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a7bce84f3ceb181aacfabdfb000c56461"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">AnimatedActionBase::m_CallbackClass</a></div><div class="ttdeci">protected m_CallbackClass</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00127">AnimatedActionBase.c:127</a></div></div>
<div class="ttc" id="aclass_base_building_base_html"><div class="ttname"><a href="../../dd/d90/class_base_building_base.html">BaseBuildingBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0c/_fence_8c_source.html#l00001">Fence.c:2</a></div></div>
<div class="ttc" id="aclass_base_building_base_html_a9925bc4fa61d820bd77d3e8967baf5c4"><div class="ttname"><a href="../../dd/d90/class_base_building_base.html#a9925bc4fa61d820bd77d3e8967baf5c4">BaseBuildingBase::IsFacingCamera</a></div><div class="ttdeci">override bool IsFacingCamera(string selection)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d0c/_fence_8c_source.html#l00682">Fence.c:682</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_repeat_html"><div class="ttname"><a href="../../dc/dec/class_c_a_continuous_repeat.html">CAContinuousRepeat</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d6c/_c_a_continuous_repeat_8c_source.html#l00001">CAContinuousRepeat.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_i_non_ruined_html"><div class="ttname"><a href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d96/_c_c_i_non_ruined_8c_source.html#l00001">CCINonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_none_html"><div class="ttname"><a href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d1b/_c_c_t_none_8c_source.html#l00001">CCTNone.c:2</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00001">ConstructionActionData.c:2</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html_ad24cde1d7404f834a439a8749da50041"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html#ad24cde1d7404f834a439a8749da50041">ConstructionActionData::GetTargetPart</a></div><div class="ttdeci">ConstructionPart GetTargetPart()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00077">ConstructionActionData.c:77</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html_afd19e331b52e42d80602c2262f19f0fe"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html#afd19e331b52e42d80602c2262f19f0fe">ConstructionActionData::SetTargetPart</a></div><div class="ttdeci">void SetTargetPart(ConstructionPart target_part)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00072">ConstructionActionData.c:72</a></div></div>
<div class="ttc" id="aclass_construction_part_html"><div class="ttname"><a href="../../d6/d8f/class_construction_part.html">ConstructionPart</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d1b/_construction_part_8c_source.html#l00001">ConstructionPart.c:2</a></div></div>
<div class="ttc" id="aclass_construction_part_html_a5149dd9f39960d2667e5269ceb883215"><div class="ttname"><a href="../../d6/d8f/class_construction_part.html#a5149dd9f39960d2667e5269ceb883215">ConstructionPart::GetPartName</a></div><div class="ttdeci">string GetPartName()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d1b/_construction_part_8c_source.html#l00030">ConstructionPart.c:30</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_u_a_damage_applied_html"><div class="ttname"><a href="../../d8/dc5/class_u_a_damage_applied.html">UADamageApplied</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00126">ActionConstants.c:127</a></div></div>
<div class="ttc" id="aclass_u_a_damage_applied_html_aa6e0ecae4a329f86ec4a7782b0418342"><div class="ttname"><a href="../../d8/dc5/class_u_a_damage_applied.html#aa6e0ecae4a329f86ec4a7782b0418342">UADamageApplied::DESTROY</a></div><div class="ttdeci">const float DESTROY</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00131">ActionConstants.c:131</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_aef260d89bc0f791bc7c313cae73f8450"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances::DEFAULT</a></div><div class="ttdeci">const float DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00104">ActionConstants.c:104</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00114">ActionConstants.c:115</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html_adc529a8c7d00adb11ad04ba1369dd481"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html#adc529a8c7d00adb11ad04ba1369dd481">UASoftSkillsWeight::ROUGH_HIGH</a></div><div class="ttdeci">const float ROUGH_HIGH</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00118">ActionConstants.c:118</a></div></div>
<div class="ttc" id="aclass_u_a_time_spent_html"><div class="ttname"><a href="../../d8/d3b/class_u_a_time_spent.html">UATimeSpent</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00026">ActionConstants.c:27</a></div></div>
<div class="ttc" id="aclass_u_a_time_spent_html_a49bb1968ac9d38c1e8a02e2e88e22785"><div class="ttname"><a href="../../d8/d3b/class_u_a_time_spent.html#a49bb1968ac9d38c1e8a02e2e88e22785">UATimeSpent::DEFAULT_DESTROY</a></div><div class="ttdeci">const float DEFAULT_DESTROY</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00035">ActionConstants.c:35</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_c32df7f94f13da663005da9ea489a0b6.html">Continuous</a></li><li class="navelem"><a class="el" href="../../d3/d91/_action_destroy_part_8c.html">ActionDestroyPart.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
